PythonPlotter 0.2.15

Package to allow use of matplotlib from .NET.
Python packages required: numpy, matplotlib, seaborn, mpltools

Install-Package PythonPlotter -Version 0.2.15
dotnet add package PythonPlotter --version 0.2.15
<PackageReference Include="PythonPlotter" Version="0.2.15" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add PythonPlotter --version 0.2.15
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: PythonPlotter, 0.2.15"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install PythonPlotter as a Cake Addin
#addin nuget:?package=PythonPlotter&version=0.2.15

// Install PythonPlotter as a Cake Tool
#tool nuget:?package=PythonPlotter&version=0.2.15
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

0.2.14: Fixed legend issue in subplots.
0.2.12: Added more tests. Added matshow.
0.2.11: Added ability to turn grid on/off and switch between light or dark styles.
0.2.10: Added Hinton diagrams.
0.2.9: Updated default python path to /usr/bin/python.
Note that this version has only been tested on *ix environments.

Dependencies

This package has no dependencies.

NuGet packages

This package is not used by any NuGet packages.

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on PythonPlotter:

Repository Stars
microsoft/ailab
Experience, Learn and Code the latest breakthrough innovations with Microsoft AI

Version History

Version Downloads Last updated
0.2.15 2,914 3/24/2016